Action (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.Action class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class Action

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.events.server.session.Action

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class Action

extends PersistedObject
implements JSON

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `JSON_NAME`

Constructor Summary
`protected` | `Action()`

Method Summary
`java.lang.String` | `executeAction(AlertInterface alert, ActionExecutionInfo info)` Execute the action specified by the classname and config data.
`ActionValue` | `getActionValue()`
`AlertDefinition` | `getAlertDefinition()`
`java.util.Collection` | `getChildren()`
`protected java.util.Collection` | `getChildrenBag()`
`java.lang.String` | `getClassName()`
`byte[]` | `getConfig()`
`ActionInterface` | `getInitializedAction()`
`java.lang.String` | `getJsonName()`
`java.util.Collection` | `getLogEntries()`
`protected java.util.Collection` | `getLogEntriesBag()`
`Action` | `getParent()`
`boolean` | `isDeleted()`
`protected void` | `setAlertDefinition(AlertDefinition alertDefinition)`
`protected void` | `setChildrenBag(java.util.Collection children)`
`protected void` | `setClassName(java.lang.String className)`
`protected void` | `setConfig(byte[] config)`
`protected void` | `setDeleted(boolean deleted)`
`protected void` | `setLogEntriesBag(java.util.Collection logEntries)`
`protected void` | `setParent(Action parent)`
`org.json.JSONObject` | `toJSON()` Convert the object to a Json object
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JSON_NAME

    public static final java.lang.String JSON_NAME

See Also:
  Constant Field Values

Constructor Detail

### Action

    protected Action()

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    protected void setClassName(java.lang.String className)

### getConfig

    public byte[] getConfig()

### setConfig

    protected void setConfig(byte[] config)

### getParent

    public Action getParent()

### setParent

    protected void setParent(Action parent)

### getAlertDefinition

    public AlertDefinition getAlertDefinition()

### setAlertDefinition

    protected void setAlertDefinition(AlertDefinition alertDefinition)

### getChildren

    public java.util.Collection getChildren()

### getChildrenBag

    protected java.util.Collection getChildrenBag()

### setChildrenBag

    protected void setChildrenBag(java.util.Collection children)

### getLogEntries

    public java.util.Collection getLogEntries()

### getLogEntriesBag

    protected java.util.Collection getLogEntriesBag()

### setLogEntriesBag

    protected void setLogEntriesBag(java.util.Collection logEntries)

### isDeleted

    public boolean isDeleted()

### setDeleted

    protected void setDeleted(boolean deleted)

### getActionValue

    public ActionValue getActionValue()

### toJSON

    public org.json.JSONObject toJSON()

  Description copied from interface: `JSON`
  Convert the object to a Json object

  Specified by:
    `toJSON` in interface `JSON`

### getJsonName

    public java.lang.String getJsonName()

  Specified by:
    `getJsonName` in interface `JSON`

### getInitializedAction

    public ActionInterface getInitializedAction()

### executeAction

    public java.lang.String executeAction(AlertInterface alert,
                                          ActionExecutionInfo info)
                                   throws ActionExecuteException

  Execute the action specified by the classname and config data.

  Throws:
    `ActionExecuteException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.